templates:
- rsx
- code-corlab
- cmake-cpp
- base

catalog:
  title: RSB Tutorials

variables:
  description: RSB Tutorials
  keywords:
  - tutorial
  - example

  redmine-project: rsb

  repository: https://code.cor-lab.de/git/rsb.git.tutorials
  branches:
  - '@{rsx.branches}'

  platform-requires:
    ubuntu:
      packages:
      - '@{next-value|[]}'
      - libboost-date-time-dev
      - libboost-filesystem-dev
      - libboost-program-options-dev
      - libboost-regex-dev
      - libboost-signals-dev
      - libboost-system-dev
      - libboost-regex-dev
      - libboost-thread-dev
      - libprotobuf-dev

  make.package.targets: []

  tasks.patterns:
  - '**/*.java'
  - '**/*.xml'
  - '**/*.lisp'
  - '**/*.asd'
  - '**/*.py'
  - '@{next-value|[]}'

  junit.patterns: []

  archive-pattern: false

  deployment.test: |
    export RSB_CONFIG_FILES=%system
    echo /quit | ${toolkit.dir}/bin/rsb-chat-1 nick \
    && echo /quit | ${toolkit.dir}/bin/rsb-chat-2 nick
